import Layout from '@/components/layout'
export default [
  {
    path: '/',
    name: 'Layout',
    component: Layout,
    redirect: '/calendar'
  },
  {
    path: '/meeting-old',
    component: Layout,
    children: [
      {
        path: '',
        component: () => import('@/pages/meeting/index-old.vue'),
        name: 'CreateLive',
        meta: { title: '创建直播', affix: true }
      }
    ]
  },
  {
    path: '/meeting-create',
    component: Layout,
    children: [
      {
        path: '',
        component: () => import('@/pages/meeting/index.vue'),
        name: 'MeetingCreate',
        meta: { title: '创建直播', affix: true }
      }
    ]
  },
  {
    path: '/meeting-update',
    component: Layout,
    children: [
      {
        path: '',
        component: () => import('@/pages/meeting/index.vue'),
        name: 'MeetingUpdate',
        meta: { title: '创建直播', affix: true }
      }
    ]
  },
  {
    path: '/meeting-account-create',
    component: Layout,
    children: [
      {
        path: '',
        component: () => import('@/pages/meeting/index.vue'),
        name: 'MeetingAccountCreate',
        meta: { title: '创建直播', affix: true }
      }
    ]
  },
  {
    path: '/calendar',
    component: Layout,
    children: [
      {
        path: '',
        name: 'Calendar',
        component: () => import('@/pages/calendar/index.vue'),
        meta: { title: '日历列表', icon: 'el-icon-date' }
      }
    ]
  },
  {
    path: '/system',
    component: Layout,
    redirect: '/system/role',
    name: 'System',
    meta: { title: '系统管理', icon: 'el-icon-setting' },
    children: [
      {
        path: 'role',
        name: 'Role',
        component: () => import('@/pages/system/role/index'),
        meta: { title: '角色管理', icon: 'el-icon-s-check' }
      },
      {
        path: 'roleToUser',
        name: 'RoleToUser',
        component: () => import('@/pages/system/role/role-to-user/index'),
        meta: { title: '管理角色用户', icon: '' }
      },
      {
        path: 'account',
        name: 'Account',
        component: () => import('@/pages/system/account/index'),
        meta: { title: '账号管理', icon: 'el-icon-key' }
      }
    ]
  },
  {
    path: '/my',
    component: Layout,
    children: [
      {
        path: '',
        name: 'My',
        component: () => import('@/pages/my/index.vue'),
        meta: { title: '个人中心', icon: 'el-icon-user' }
      }
    ]
  },
  {
    path: '/search',
    component: Layout,
    children: [
      {
        path: '',
        name: 'Search',
        component: () => import('@/pages/search/index.vue'),
        meta: { title: '搜索' }
      }
    ]
  }
]
// export default [
//   { path: '*', redirect: '/index' },
//   {
//     path: '/',
//     component: Layout,
//     children: [
//       /* 首页 */
//       { path: '/index', component: () => import(/* webpackChunkName: "home" */ '@/pages/home') },
//       { path: '/calendar', component: () => import(/* webpackChunkName: "calendar" */ '@/pages/calendar') },
//       { path: '/system', component: () => import(/* webpackChunkName: "system" */ '@/pages/system') },
//       { path: '/create-live', component: () => import(/* webpackChunkName: "create-live" */ '@/pages/create-live') }
//     ]
//   }
// ]
